DocsOfferwall Client API

Offerwall Client API

Client-side JSON API for embedding customized offer listings and hot offer carousels.

Endpoint Definition

METHOD: GET
URL: https://api.perkox.com/offerwall/api/offers

Query Parameters

ParameterRequiredDescription
api_keyYesYour application API key to identify your offerwall.
player_idNoUnique user ID on your platform.
player_ipNoOverride IP for geo-targeting simulation.
offers_pageNoPage number for regular offers (55 items per page).
hot_offers_pageNoPage number for featured/hot offers.

Response Payload

api-response.jsonjson
{
  "success": true,
  "data": {
    "offerwall": {
      "app_id": "1001",
      "currency_name": "Points",
      "currency_symbol": "PTS",
      "exchange_rate": 100
    },
    "total_earned": 0,
    "hot_offers": {
      "data": [
        {
          "id": 5012,
          "name": "Hero Quest: Legends",
          "payout": 45.00,
          "reward_amount": 4500,
          "thumbnail": "https://cdn.perkox.com/offers/thumb-5012.webp"
        }
      ],
      "current_page": 1,
      "last_page": 1,
      "per_page": 55,
      "total": 1
    },
    "offers": {
      "data": [ ... ],
      "current_page": 1,
      "last_page": 4,
      "per_page": 55,
      "total": 218
    }
  }
}